Update Subscription
1 min
PATCH
https://api.nue.io/subscriptions/{subscriptionId}
Path Parameters
- subscriptionIdstringrequiredDescription
Body Parameters
- bodyobjectrequired
- autoRenewboolean
- Ruby__Custom_Field__cstring
Responses
200
- object
- statusstring
- dataobject[]
- actualSubscriptionTermnumber
- autoRenewboolean
- billingTimingstring
- createdByIdstring
- createdDatestring
- customerIdstring
- evergreenboolean
- externalIdstring
- externalNamestring
- idstring
- lastModifiedByIdstring
- lastModifiedDatestring
- listPricenumber
- namestring
- orderOnDatestring
- orderProductIdstring
- parentObjectTypestring
- priceBookEntryIdstring
- priceBookIdstring
- productIdstring
- quantitynumber
- renewalTermnumber
- rootIdstring
- salesPricenumber
- statusstring
- subscriptionCompositeIdstring
- subscriptionEndDatestring
- subscriptionLevelnumber
- subscriptionStartDatestring
- subscriptionTermnumber
- subscriptionVersionnumber
- taxAmountnumber
- tcvnumber
- totalACVnumber
- totalAmountnumber
- totalPricenumber
- totalTCVnumber
- uomIdstring
- warningsobject[]
curl
curl --request PATCH \
--url https://api.nue.io/subscriptions/{subscriptionId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PATCH',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/subscriptions/{subscriptionId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/subscriptions/{subscriptionId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/subscriptions/{subscriptionId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
200
// Successful update of the subscription.
{
"status": "",
"data": [
{
"actualSubscriptionTerm": 0,
"autoRenew": false,
"billingTiming": "",
"createdById": "",
"createdDate": "",
"customerId": "",
"evergreen": false,
"externalId": "",
"externalName": "",
"id": "",
"lastModifiedById": "",
"lastModifiedDate": "",
"listPrice": 0,
"name": "",
"orderOnDate": "",
"orderProductId": "",
"parentObjectType": "",
"priceBookEntryId": "",
"priceBookId": "",
"productId": "",
"quantity": 0,
"renewalTerm": 0,
"rootId": "",
"salesPrice": 0,
"status": "",
"subscriptionCompositeId": "",
"subscriptionEndDate": "",
"subscriptionLevel": 0,
"subscriptionStartDate": "",
"subscriptionTerm": 0,
"subscriptionVersion": 0,
"taxAmount": 0,
"tcv": 0,
"totalACV": 0,
"totalAmount": 0,
"totalPrice": 0,
"totalTCV": 0,
"uomId": ""
}
],
"warnings": [
{}
]
}